Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030821
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] 09. Financial managementmajoralways2015-09-14 17:442015-09-15 16:51
ReportermalsasuaView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision0ac759405027
ProjectionnoneETAnoneTarget Version3.0PR15Q3.2
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionCommunity ApplianceDatabase version8.3.9Ant version1.7.1
Product Version3.0PR15Q3.1SCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression levelProduction - QA Approved
Regression date2015-05-14
Regression introduced in release3.0PR15Q3
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/a810d05065cfe7eb3199928ed9104c7b54989ecb [^]
Triggers an Emergency PackNo
Summary

0030821: accounting process is not working with payment out and negative amount

Descriptionwhen you run the accounting process to negative payment amount, error is returned:
Error
Process failed during execution
Steps To Reproduce. in F&B
 . go to financial account "Cuenta de Banco"
  -> tab: "payment method" -> transferencia
   . upon payment use: in transit payment account

 . go to purchase invoice:
  . new header:
   bp: GeneraciĆ³n Electrica
  . new lines:
   product: Sitemas de informaciĆ³n
   qty: -20
   amt: 5
 . process invoice

 . add payment-> process and deposit
 . go to payment out -> the payment created above
  . post it
error is returned
TagsApproved
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0030820 closedAtulOpenbravo accounting process is not working with payment out and negative amount 

-  Notes
(0080411)
hgbot (developer)
2015-09-15 16:49

Repository: erp/backports/3.0PR15Q3.2
Changeset: 0ac759405027515b5baeec5574e7fc72dd30de6d
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Tue Sep 15 15:07:15 2015 +0530
URL: http://code.openbravo.com/erp/backports/3.0PR15Q3.2/rev/0ac759405027515b5baeec5574e7fc72dd30de6d [^]

Fixes Issue 30821:Accounting process fails for payment out with negative amt

If the docbasetype is not GLJournal is null then docLine Object is null. A
docbasetype check is added before accessing docLine Object.

---
M src/org/openbravo/erpCommon/ad_forms/Fact.java
---
(0080415)
vmromanos (developer)
2015-09-15 16:51

Code review + testing OK

- Issue History
Date Modified Username Field Change
2015-09-14 18:18 vmromanos Type defect => backport
2015-09-14 18:18 vmromanos Target Version => 3.0PR15Q3.2
2015-09-14 18:22 vmromanos Tag Attached: Approved
2015-09-15 16:41 vmromanos Assigned To Triage Finance => AtulOpenbravo
2015-09-15 16:49 hgbot Checkin
2015-09-15 16:49 hgbot Note Added: 0080411
2015-09-15 16:49 hgbot Status scheduled => resolved
2015-09-15 16:49 hgbot Resolution open => fixed
2015-09-15 16:49 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR15Q3.2/rev/0ac759405027515b5baeec5574e7fc72dd30de6d [^]
2015-09-15 16:51 vmromanos Review Assigned To => vmromanos
2015-09-15 16:51 vmromanos Note Added: 0080415
2015-09-15 16:51 vmromanos Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker